Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357927 - Different versions displayed in gnome-software from what's available.
Summary: Different versions displayed in gnome-software from what's available.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 15:27 UTC by Ervin
Modified: 2017-08-08 15:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:41:59 UTC


Attachments (Terms of Use)

Description Ervin 2016-07-19 15:27:26 UTC
Description of problem:
Gnome-gmail's version in gnome-software is 2.1, but in yumex-dnf 2.2 is available. 

Version-Release number of selected component (if applicable):


How reproducible:
Not sure

Steps to Reproduce:
1. Open gnome-software and search for gnome-gmail (make sure it is not installed first)
2. Install gnome-gmail from gnome-software 
3. Uninstall gnome-gmail
4. Open yumex-dnf and search for gnome-gmail
5. Install gnome-gmail

Actual results:
From gnome-software gnome-gmail 2.1 is installed which has bugs which are fixed in 2.2 version. 
Yumex-dnf installs the most recent updated version 2.2. 

Expected results:
There should be no contradiction between gnome-software and yumex-dnf. They should both display the same version of the packages and install the same version also as available from Fedora official repositories. 

Additional info:

Comment 1 Ervin 2016-07-19 15:28:24 UTC
Having installed gnome-gmail from Yumex-Dnf before installing it from gnome-software makes gnome-software display the same version as yumex-dnf that is the updated version. So the bug is missed.

Comment 2 Fedora End Of Life 2017-07-25 21:53:27 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 15:41:59 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.